"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
const env = [
    'PRODUCT_API_HOST',
];
for (const v of env) {
    if (!process.env[v]) {
        throw new Error(`Missing env variable ${v}`);
    }
    if (process.env.VALIDATE_WORKSPACE) {
        const workspace = process.env.VALIDATE_WORKSPACE.toLowerCase();
        if (workspace !== 'true' && workspace !== 'false') {
            throw new Error(`Env variable VALIDATE_WORKSPACE must one one of (true, false)`);
        }
    }
    if (process.env.VALIDATE_DOMAIN) {
        const workspace = process.env.VALIDATE_DOMAIN.toLowerCase();
        if (workspace !== 'true' && workspace !== 'false') {
            throw new Error(`Env variable VALIDATE_DOMAIN must one one of (true, false)`);
        }
    }
}
exports.config = {
    PRODUCT_API_HOST: `https://${process.env['PRODUCT_API_HOST']}/v1`,
    VALIDATE_WORKSPACE: !process.env.VALIDATE_WORKSPACE || process.env.VALIDATE_WORKSPACE.toLowerCase() === 'true',
    VALIDATE_DOMAIN: !process.env.VALIDATE_DOMAIN || process.env.VALIDATE_DOMAIN.toLowerCase() === 'true',
};
